org.eclipse.net4j.util.om.pref

## Enum OMPreference.Type

- java.lang.Object
- - java.lang.Enum<OMPreference.Type>
  - - org.eclipse.net4j.util.om.pref.OMPreference.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OMPreference.Type>
  Enclosing interface:
    OMPreference<T>

      public static enum OMPreference.Type
      extends java.lang.Enum<OMPreference.Type>

  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BOOLEAN`
    `BYTES`
    `DOUBLE`
    `FLOAT`
    `INTEGER`
    `LONG`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OMPreference.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OMPreference.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final OMPreference.Type BOOLEAN

    - #### INTEGER

          public static final OMPreference.Type INTEGER

    - #### LONG

          public static final OMPreference.Type LONG

    - #### FLOAT

          public static final OMPreference.Type FLOAT

    - #### DOUBLE

          public static final OMPreference.Type DOUBLE

    - #### STRING

          public static final OMPreference.Type STRING

    - #### ARRAY

          public static final OMPreference.Type ARRAY

    - #### BYTES

          public static final OMPreference.Type BYTES

  - ### Method Detail

    - #### values

          public static OMPreference.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OMPreference.Type c : OMPreference.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OMPreference.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html